Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057694 - RPM: Errata contains upgrade of jboss-as-clustering-web-infinispan.jar in addition
Summary: RPM: Errata contains upgrade of jboss-as-clustering-web-infinispan.jar in add...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RPMs
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR3
: EAP 6.2.1
Assignee: Fernando Nasser
QA Contact: Katerina Odabasi
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-24 15:49 UTC by Katerina Odabasi
Modified: 2015-02-20 11:18 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 20:15:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Katerina Odabasi 2014-01-24 15:49:47 UTC
Errata for RHEL5 and RHEL6 contains upgrade of modules/system/layers/base/org/jboss/as/clustering/web/infinispan/main/jboss-as-clustering-web-infinispan.jar. This upgrade of JAR artifact isn't included in ZIP version of patch for EAP-6.2.1.CP.CR1.

Comment 1 Fernando Nasser 2014-01-28 18:04:14 UTC
As explained in the list, this is expected as it is not possible to replace just part of RPMs, so all files in jboss-as-clustering, jpa and osgi have to e replaced.  The changes are just due to compilation, as verified by patch-gen and by RCM's dist-git script.  They should all pass the "smart" comparison that will be used to compare RPMs and patched trees with the full ZIP as agreed in the meeting about patching releases.

Comment 3 Katerina Odabasi 2014-01-30 16:24:58 UTC
We think it should be fixed.

Comment 4 Katerina Odabasi 2014-02-12 08:48:24 UTC
Verified errata for RHEL5 and RHEL6 contains same version of the JAR as zip.


Note You need to log in before you can comment on or make changes to this bug.